spandsp 0.0.6

gsm0610_tests.c File Reference
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <string.h>`
`#include <ctype.h>`
`#include <sndfile.h>`
`#include "spandsp.h"`
`#include "spandsp-sim.h"`

## Macros
#define | SPANDSP_EXPOSE_INTERNAL_STRUCTURES
#define | BLOCK_LEN 160
#define | TESTDATA_DIR "../test-data/etsi/gsm0610/unpacked/fr_"
#define | IN_FILE_NAME "../test-data/local/short_nb_voice.wav"
#define | OUT_FILE_NAME "post_gsm0610.wav"
#define | HIST_LEN 1000

## Functions
int | main (int argc, char *argv[])

## Variables
uint8_t | law_in_vector [1000000]
int16_t | in_vector [1000000]
uint16_t | code_vector_buf [1000000]
uint8_t | code_vector [1000000]
uint8_t | ref_code_vector [1000000]
uint8_t | decoder_code_vector [1000000]
uint8_t | law_out_vector [1000000]
int16_t | out_vector [1000000]
int16_t | ref_out_vector [1000000]
uint8_t | ref_law_out_vector [1000000]
int | vector_len